"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginApi = void 0;
function createRequestInterceptor() {
    return async (config) => {
        config.withCredentials = true;
        // istanbul ignore next
        if (!config.headers) {
            config.headers = {};
        }
        if (config.method !== "get") {
            config.headers = {
                ...config.headers,
                "Content-Type": "application/json",
                Accept: "application/json",
            };
        }
        else {
            config.headers = {
                ...config.headers,
                Accept: "application/json",
            };
        }
        return config;
    };
}
/**
 * plugin that add application/json header to all requests
 * @param zodios
 */
function pluginApi() {
    return (zodios) => {
        zodios.axios.interceptors.request.use(createRequestInterceptor());
    };
}
exports.pluginApi = pluginApi;
