/// <reference types="react" />
import { Zodios } from "../zodios";
declare type ZodiosProviderProps = {
    children: React.ReactNode;
    apis: Array<Zodios<any, any>>;
};
export declare const ZodiosContext: import("react").Context<Record<string, Zodios<any, any>>>;
/**
 * A react provider for zodios api client
 * @example
 * ```typescript
 *   <QueryClientProvider client={queryClient}>
 *     <ZodiosProvider apis={[apiClient]}>
 *       <Users />
 *     </ZodiosProvider>
 *   </QueryClientProvider>
 * ```
 */
export declare function ZodiosProvider({ apis, children }: ZodiosProviderProps): JSX.Element;
export {};
