"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pick = exports.omit = void 0;
/**
 * omit properties from an object
 * @param obj - the object to omit properties from
 * @param keys - the keys to omit
 * @returns the object with the omitted properties
 */
function omit(obj, keys) {
    const ret = { ...obj };
    for (const key of keys) {
        delete ret[key];
    }
    return ret;
}
exports.omit = omit;
/**
 * pick properties from an object
 * @param obj - the object to pick properties from
 * @param keys - the keys to pick
 * @returns the object with the picked properties
 */
function pick(obj, keys) {
    const ret = {};
    if (obj) {
        for (const key of keys) {
            ret[key] = obj[key];
        }
    }
    return ret;
}
exports.pick = pick;
